Package jakarta.servlet.jsp.el

## Class ScopedAttributeELResolver

- java.lang.Object
- - jakarta.el.ELResolver
  - - jakarta.servlet.jsp.el.ScopedAttributeELResolver

    public class ScopedAttributeELResolver
    extends jakarta.el.ELResolver

An ELResolver for working with JSP scoped attributes which may have page, request, session or application scope.

Since:
  JSP 2.1

### Field Summary

### Fields inherited from class jakarta.el.ELResolver

`RESOLVABLE_AT_DESIGN_TIME, TYPE`

### Constructor Summary

Constructors
`ScopedAttributeELResolver()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`java.lang.Class<java.lang.String>` `getCommonPropertyType​(jakarta.el.ELContext context, java.lang.Object base)` Obtain the most common type that is acceptable for the given base object.
`java.util.Iterator<java.beans.FeatureDescriptor>` `getFeatureDescriptors​(jakarta.el.ELContext context, java.lang.Object base)` Deprecated, for removal: This API element is subject to removal in a future version.
`java.lang.Class<java.lang.Object>` `getType​(jakarta.el.ELContext context, java.lang.Object base, java.lang.Object property)` Obtain the type of the given property on the given object using the given context.
`java.lang.Object` `getValue​(jakarta.el.ELContext context, java.lang.Object base, java.lang.Object property)` Obtain the value of the given property on the given object using the given context.
`boolean` `isReadOnly​(jakarta.el.ELContext context, java.lang.Object base, java.lang.Object property)` Determine if the given property on the given object is read-only using the given context.
`void` `setValue​(jakarta.el.ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object value)` Set the value of the given property on the given object using the given context.

### Methods inherited from class jakarta.el.ELResolver

`convertToType, invoke`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScopedAttributeELResolver

    public ScopedAttributeELResolver()

Default constructor.

### Method Detail

#### getValue

    public java.lang.Object getValue​(jakarta.el.ELContext context,
                                     java.lang.Object base,
                                     java.lang.Object property)

Description copied from class: `jakarta.el.ELResolver`
Obtain the value of the given property on the given object using the given context.

Specified by:
  `getValue` in class `jakarta.el.ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose value is to be returned
Returns:
  the value of the provided property

#### getType

    public java.lang.Class<java.lang.Object> getType​(jakarta.el.ELContext context,
                                                     java.lang.Object base,
                                                     java.lang.Object property)

Description copied from class: `jakarta.el.ELResolver`
Obtain the type of the given property on the given object using the given context.

Specified by:
  `getType` in class `jakarta.el.ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose type is to be returned
Returns:
  the type of the provided property

#### setValue

    public void setValue​(jakarta.el.ELContext context,
                         java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object value)

Description copied from class: `jakarta.el.ELResolver`
Set the value of the given property on the given object using the given context.

Specified by:
  `setValue` in class `jakarta.el.ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose value is to be set
  `value` - The value to set the property to

#### isReadOnly

    public boolean isReadOnly​(jakarta.el.ELContext context,
                              java.lang.Object base,
                              java.lang.Object property)

Description copied from class: `jakarta.el.ELResolver`
Determine if the given property on the given object is read-only using the given context.

Specified by:
  `isReadOnly` in class `jakarta.el.ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property to be checked for read only status
Returns:
  `true` if the identified property is read only, otherwise `false`

#### getFeatureDescriptors

    @Deprecated(forRemoval=true,
                since="JSP 3.1")
    public java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors​(jakarta.el.ELContext context,
                                                                                  java.lang.Object base)

Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from class: `jakarta.el.ELResolver`
Obtain the feature descriptors for the resolvable properties of the given object.

The default implementation returns `null`.

Overrides:
  `getFeatureDescriptors` in class `jakarta.el.ELResolver`
Parameters:
  `context` - The context in which the examination takes place
  `base` - The object to examine
Returns:
  An iterator, possibly empty, of feature descriptors of the given object

#### getCommonPropertyType

    public java.lang.Class<java.lang.String> getCommonPropertyType​(jakarta.el.ELContext context,
                                                                   java.lang.Object base)

Description copied from class: `jakarta.el.ELResolver`
Obtain the most common type that is acceptable for the given base object.

Specified by:
  `getCommonPropertyType` in class `jakarta.el.ELResolver`
Parameters:
  `context` - The context in which the examination takes place
  `base` - The object to examine
Returns:
  {code null} if the most common type cannot be determine, otherwise the most common type